import View from 'ol/View';
import BaseLayer from 'ol/layer/Base';

export type MapConfig = {
  view: View;
  layers: BaseLayer[];
};

export type VerticalAlign = 'TOP' | 'MIDDLE' | 'BOTTOM';
export type HorizontalAlign = 'LEFT' | 'RIGHT' | 'CENTER' | 'END' | 'START';

export type ColorObject = {
  alpha: number;
  rgb: number;
};

export type ShapePoint = {
  type: string;
  absoluteX: number;
  absoluteY: number;
  relativeX: number;
  relativeY: number;
  relativeHeightForX: number | null;
  relativeWidthForY: number | null;
};

export type ShapeCurvePoint = {
  type: string;
  absoluteX1: number;
  absoluteY1: number;
  relativeX1: number;
  relativeY1: number;
  relativeHeightForX1: number | null;
  relativeWidthForY1: number | null;
  absoluteX2: number;
  absoluteY2: number;
  relativeX2: number;
  relativeY2: number;
  relativeHeightForX2: number | null;
  relativeWidthForY2: number | null;
  absoluteX3: number;
  absoluteY3: number;
  relativeX3: number;
  relativeY3: number;
  relativeHeightForX3: number | null;
  relativeWidthForY3: number | null;
};
