/* eslint-disable no-magic-numbers */
import { Stroke } from 'ol/style';
import getStroke from './getStroke';

describe('getStroke', () => {
  it('should return a Stoke object with the default color and width', () => {
    const result = getStroke({});
    expect(result).toBeInstanceOf(Stroke);
    expect(result.getColor()).toBe('#000');
    expect(result.getWidth()).toBe(1);
  });

  it('should return a Stoke object with the provided color and width', () => {
    const color = '#ff0000';
    const width = 2;
    const result = getStroke({ color, width });
    expect(result).toBeInstanceOf(Stroke);
    expect(result.getColor()).toBe(color);
    expect(result.getWidth()).toBe(width);
  });
});
