import { ActionReducerMapBuilder } from '@reduxjs/toolkit';
import { BioShapesState } from '@/redux/shapes/shapes.types';
import { getShapes } from '@/redux/shapes/shapes.thunks';

export const getShapesReducer = (builder: ActionReducerMapBuilder<BioShapesState>): void => {
  builder.addCase(getShapes.pending, state => {
    state.loading = 'pending';
  });
  builder.addCase(getShapes.fulfilled, (state, action) => {
    state.data = action.payload || [];
    state.loading = 'succeeded';
  });
  builder.addCase(getShapes.rejected, state => {
    state.loading = 'failed';
  });
};
